求救--eclipse出现问题

04-08-28 newit
各位大侠,我在eclipse中使用ant时出现错误,搞了很久都没解决,大家帮帮忙。出错如下:

Arguments:

Modern compiler is not available - using classic compiler

Compiling 2 source files to E:\install\eclipse_ch\workspace\TestAnt\classes

构建异常:E:\install\eclipse_ch\workspace\TestAnt\build.xml:14: Cannot use classic compiler, as it is not available A common solution is to set the environment variable JAVA_HOME to your jdk directory.

构建异常:E:\install\eclipse_ch\workspace\TestAnt\build.xml:14: Cannot use classic compiler, as it is not available A common solution is to set the environment variable JAVA_HOME to your jdk directory.

E:\install\eclipse_ch\workspace\TestAnt\build.xml:14: Cannot use classic compiler, as it is not available A common solution is to set the environment variable JAVA_HOME to your jdk directory.

at org.apache.tools.ant.taskdefs.compilers.Javac12.execute(Javac12.java:96)

at org.apache.tools.ant.taskdefs.Javac.execute(Javac.java:557)

at org.apache.tools.ant.Task.perform(Task.java:217)

at org.apache.tools.ant.Target.execute(Target.java:184)

at org.apache.tools.ant.Target.performTasks(Target.java:202)

at org.apache.tools.ant.Project.executeTarget(Project.java:601)

at org.apache.tools.ant.Project.executeTargets(Project.java:560)

at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:262)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

at java.lang.reflect.Method.invoke(Method.java:324)

at org.eclipse.ant.core.AntRunner.run(AntRunner.java:234)

at org.eclipse.ui.externaltools.internal.core.AntFileRunner.execute(AntFileRunner.java:56)

at org.eclipse.ui.externaltools.internal.core.DefaultRunnerContext.executeRunner(DefaultRunnerContext.java:428)

at org.eclipse.ui.externaltools.internal.core.DefaultRunnerContext.run(DefaultRunnerContext.java:479)

at org.eclipse.ui.externaltools.internal.ui.AntLaunchWizard$1.run(AntLaunchWizard.java:117)

at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:98)

构建异常:E:\install\eclipse_ch\workspace\TestAnt\build.xml:14: Cannot use classic compiler, as it is not available A common solution is to set the environment variable JAVA_HOME to your jdk directory.

我的eclipse版本是2.02中文版,jdk是1.4.1版本,ant是eclipse自带的,版本是1.4.1,java_home路径设置是正确的。高手请指点。

banq
2004-08-28 18:00
JAVA_HOME 没设置。

猜你喜欢